%define module	Socket6
%define version	0.17
%define release	1mdk

Summary:	IPv6 related part of the C socket.h defines and structure manipulators
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides glue routines to the various IPv6 functions.

If you use the Socket6 module, be sure to specify "use Socket" as
well as "use Socket6".

%prep

%setup -q -n %{module}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorarch}/auto/Socket6/Socket6.so
%{perl_vendorarch}/Socket6.pm

%changelog
* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.17-1mdk
- initial mandrake package
